# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/qcom-labibb-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm's LAB(LCD AMOLED Boost)/IBB(Inverting Buck Boost) Regulator

maintainers:
  - Sumit Semwal <sumit.semwal@linaro.org>

description:
  LAB can be used as a positive boost power supply and IBB can be used as a
  negative boost power supply for display panels. Currently implemented for
  pmi8998.

properties:
  compatible:
    const: qcom,pmi8998-lab-ibb

  lab:
    type: object

    properties:

      interrupts:
        maxItems: 1
        description:
          Short-circuit interrupt for lab.

    required:
      - interrupts

  ibb:
    type: object

    properties:

      interrupts:
        maxItems: 1
        description:
          Short-circuit interrupt for lab.

    required:
      - interrupts

required:
  - compatible

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    labibb {
      compatible = "qcom,pmi8998-lab-ibb";

      lab {
        interrupts = <0x3 0x0 IRQ_TYPE_EDGE_RISING>;
        interrupt-names = "sc-err";
      };

      ibb {
        interrupts = <0x3 0x2 IRQ_TYPE_EDGE_RISING>;
        interrupt-names = "sc-err";
      };
    };

...
